Subject: Re: [PATCH net-next 0/3] net: phy: broken turn-around support

From: Bert Vermeulen <[email-masked]>
Date: Tue, 12 May 2015 22:43:26 +0200

On 05/12/2015 07:33 PM, Florian Fainelli wrote:
> Hi all,
> 
> This is an attempt at solving the broken turn-around problem in a way that
> is not specific to the mdio-gpio driver, since it affects different kinds of
> platforms.
> 
> We cannot make that localized to PHY device drivers because probing the PHY
> device which has a broken turn-around can fail as early as in get_phy_id(),
> therefore we need a bit of help from Device Tree/platform_data.

That is indeed a better place to put that ignore-ta flag, and the device
tree support is of course a big improvement over the previous patch as well.

But it's still too big a hammer to hit the AR8316 problem with, I think.
Just like the previous patch, this disables checking TA on _all_ reads, but
I really only need it disabled on the first read.

Are you saying you've seen other systems with this TA problem? Did those
have problems after more than just the first read?

-- 
Bert Vermeulen        [email-masked]          email/xmpp